# PODBC::Row Class Reference

This class functions as a simple wrapper of the PODBCStmt class to fetch/Save data to the Datasource. More...

`#include <podbc.h>`

Inheritance diagram for PODBC::Row:

List of all members.

## Public Member Functions

| Row (PODBCStmt *stmt)
| Constructor Create a Dummy row of data to act as a Record Marker.
Field & | Column (PINDEX col)
| Retrieve Field Data given the specifed column.
Field & | Column (PString name)
| Retreive Field Data given the Column Name.
PStringArray | ColumnNames ()
| Retrieve the Column Names.
PINDEX | Columns ()
| Columns.
PINDEX | Rows ()
| Rows The Number of Rows.
Field & | operator[] (PINDEX col)
| Retrieve Field Data given specified column.
Field & | operator[] (PString col)
| Retrieve Field Data given the column Name.
PBoolean | Navigate (PINDEX row)
| Navigate to Specified Row.
void | SetNewRow ()
| SetNewRow Set New Row for input.
PBoolean | Post ()
| Post the Row back to the Database.
PBoolean | Delete (PINDEX row=0)
| Delete the Current Record from the RecordSet.

## Public Attributes

PODBCRecord * | rec
PINDEX | CurRow
| Record Structure.
PBoolean | NewRow
| Current Row.
PINDEX | RowCount
| Flag to Indicate New Row (requires either Post or Delete).

## Protected Attributes

PArray< Field > | Fields
| Number of Rows.

## Detailed Description

This class functions as a simple wrapper of the PODBCStmt class to fetch/Save data to the Datasource.

Data is fetched on a need to basis and not cached except to create a new row.

## Constructor & Destructor Documentation

PODBC::Row::Row | ( | PODBCStmt * | stmt | ) |

Constructor Create a Dummy row of data to act as a Record Marker.

Template Field are created and Stored in a PARRAY.

## Member Function Documentation

Field& PODBC::Row::Column | ( | PString | name | ) |

Retreive Field Data given the Column Name.

Field& PODBC::Row::Column | ( | PINDEX | col | ) |

Retrieve Field Data given the specifed column.

Note: Columns atart at 1 and not exceed PODBCStmt::GetColumnCount()

PStringArray PODBC::Row::ColumnNames | ( |  | ) |

Retrieve the Column Names.

PINDEX PODBC::Row::Columns | ( |  | ) |

Columns.

The Number of Columns in the RecordSet

PBoolean PODBC::Row::Delete | ( | PINDEX | row = `0` | ) |

Delete the Current Record from the RecordSet.

PBoolean PODBC::Row::Navigate | ( | PINDEX | row | ) |

Navigate to Specified Row.

Field& PODBC::Row::operator[] | ( | PString | col | ) |

Retrieve Field Data given the column Name.

Field& PODBC::Row::operator[] | ( | PINDEX | col | ) |

Retrieve Field Data given specified column.

PBoolean PODBC::Row::Post | ( |  | ) |

Post the Row back to the Database.

When Row::NewRow is true the data can be posted back to the Database; If Edit Invoked then releasea the RowHandler for Navigation.

PINDEX PODBC::Row::Rows | ( |  | ) |

Rows The Number of Rows.

void PODBC::Row::SetNewRow | ( |  | ) |

SetNewRow Set New Row for input.

## Member Data Documentation

PINDEX PODBC::Row::CurRow

Record Structure.

PArray<Field> PODBC::Row::Fields `[protected]`

Number of Rows.

PBoolean PODBC::Row::NewRow

Current Row.

PODBCRecord* PODBC::Row::rec

PINDEX PODBC::Row::RowCount

Flag to Indicate New Row (requires either Post or Delete).

The documentation for this class was generated from the following file:

- podbc.h